# Accessing the LLaMA Service

Once the service is running and has an EXTERNAL-IP, you can access the service using the EXTERNAL-IP and port 80.

## List Models

To list available models, use the following curl command.

```sh
curl -X GET http://<EXTERNAL-IP>/v1/models
```

## Create a Completion

To create a completion, use the following `curl` command.

```sh
curl -X POST http://<EXTERNAL-IP>/v1/completions \
     -H "Content-Type: application/json" \
     -d '{
           "model": "meta-llama/Llama-3.1-70B-Instruct",
           "prompt": "Once upon a time",
           "max_tokens": 50
         }'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cloudeka.ai/reference/deployment-llama-3.1-70b-with-vllm-on-kubernetes/accessing-the-llama-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
